TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get vesting contracts

GET
/api/v3/vesting

Query vesting contracts that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

contract_address?array<string>

Vesting contract address in any form. Maximum: 1000 addresses.

wallet_address?array<string>

Wallet address to filter by owner or sender. Maximum: 1000 addresses.

check_whitelist?boolean

Check whether the wallet address is on the whitelist.

limit?integer

Limit the number of rows to return. Use with offset to batch requests.

offset?integer

Skip the first N rows. Use with limit to batch requests.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/vesting"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "vesting_contracts": [
    {
      "address": "string",
      "cliff_duration": 0,
      "owner_address": "string",
      "sender_address": "string",
      "start_time": 0,
      "total_amount": "string",
      "total_duration": 0,
      "unlock_period": 0,
      "whitelist": [
        "string"
      ]
    }
  ]
}
{
  "code": 0,
  "error": "string"
}